/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.individu;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableCellRenderer;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.grhum.referentiel.EOAdresse;
import org.cocktail.mangue.modele.grhum.referentiel.EORepartPersonneAdresse;

import com.webobjects.eointerface.EODisplayGroup;


/**
 *
 * @author  cpinsard
 */
public class AdressesNormeeView extends JFrame {

    /**
	 * 
	 */
	private static final long serialVersionUID = -6195866169790317637L;
	protected EODisplayGroup eod;
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel;
	protected TableSorter myTableSorter;
	ZEOTableCellRenderer myRenderer;

	/** Creates new form TemplateJDialog */
    public AdressesNormeeView(java.awt.Frame parent, EODisplayGroup dg, boolean modal, ZEOTableCellRenderer renderer) {
       // super(parent, modal);

    	eod = dg;
        myRenderer = renderer;
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        viewAdresse = new javax.swing.JPanel();
        btnModifier = new javax.swing.JButton();
        btnAjouter = new javax.swing.JButton();
        btnSupprimer = new javax.swing.JButton();
        viewTable = new javax.swing.JPanel();
        btnAnnuler = new javax.swing.JButton();
        btnValider = new javax.swing.JButton();
        jPanel2 = new javax.swing.JPanel();
        tfNomVoie = new javax.swing.JTextField();
        jLabel16 = new javax.swing.JLabel();
        tfComplement = new javax.swing.JTextField();
        jLabel17 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jSeparator1 = new javax.swing.JSeparator();
        checkPerso = new javax.swing.JCheckBox();
        checkPro = new javax.swing.JCheckBox();
        checkFact = new javax.swing.JCheckBox();
        checkEtudiant = new javax.swing.JCheckBox();
        checkParent = new javax.swing.JCheckBox();
        checkValide = new javax.swing.JCheckBox();
        jLabel14 = new javax.swing.JLabel();
        checkPrincipale = new javax.swing.JCheckBox();
        jLabel21 = new javax.swing.JLabel();
        tfBoitePostale = new javax.swing.JTextField();
        jPanel1 = new javax.swing.JPanel();
        jLabel11 = new javax.swing.JLabel();
        btnGetPays = new org.cocktail.component.COButton();
        tfPays = new org.cocktail.component.COTextField();
        tfUrl = new org.cocktail.component.COTextField();
        tfMail = new org.cocktail.component.COTextField();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        tfMessage = new javax.swing.JLabel();
        jLabel23 = new javax.swing.JLabel();
        jLabel24 = new javax.swing.JLabel();
        tfNumero = new javax.swing.JTextField();
        popupExtension = new javax.swing.JComboBox();
        jLabel25 = new javax.swing.JLabel();
        popupVoies = new javax.swing.JComboBox();
        jLabel15 = new javax.swing.JLabel();
        panelFrance = new javax.swing.JPanel();
        viewPopupVille = new javax.swing.JPanel();
        popupVilles = new javax.swing.JComboBox();
        jLabel19 = new javax.swing.JLabel();
        jLabel26 = new javax.swing.JLabel();
        tfCedex = new javax.swing.JTextField();
        tfCodePostal = new javax.swing.JTextField();
        jLabel18 = new javax.swing.JLabel();
        panelEtranger = new javax.swing.JPanel();
        jLabel22 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        tfVille = new javax.swing.JTextField();
        tfCodePostalEtranger = new javax.swing.JTextField();
        lblAdresseNonNormee = new javax.swing.JLabel();
        popupValidite = new javax.swing.JComboBox();
        checkFiltrePerso = new javax.swing.JRadioButton();
        checkFiltrePro = new javax.swing.JRadioButton();
        checkFiltreFact = new javax.swing.JRadioButton();
        checkFiltreAutres = new javax.swing.JRadioButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("ADRESSES");

        btnModifier.setToolTipText("Modification de l'adresse");

        btnAjouter.setToolTipText("Ajout d'une adresse");

        btnSupprimer.setToolTipText("Invalidation de l'adresse");

        viewTable.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTable.setLayout(new java.awt.BorderLayout());

        btnValider.setToolTipText("Valider la saisie");

        jPanel2.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));

        tfNomVoie.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfNomVoie.setToolTipText("");

        jLabel16.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel16.setText("Complément");

        tfComplement.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfComplement.setToolTipText("");
        tfComplement.setNextFocusableComponent(tfCodePostal);

        jLabel17.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel17.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel17.setText("Nom de la voie");

        jLabel6.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel6.setText("DETAIL ADRESSE");

        checkPerso.setText("Personnelle");
        checkPerso.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkPersoActionPerformed(evt);
            }
        });

        checkPro.setText("Professionnelle");
        checkPro.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkProActionPerformed(evt);
            }
        });

        checkFact.setText("Facturation");
        checkFact.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkFactActionPerformed(evt);
            }
        });

        checkEtudiant.setText("Etudiant");
        checkEtudiant.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkEtudiantActionPerformed(evt);
            }
        });

        checkParent.setText("Parent");
        checkParent.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkParentActionPerformed(evt);
            }
        });

        checkValide.setText("VALIDE");
        checkValide.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkValideActionPerformed(evt);
            }
        });

        jLabel14.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel14.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel14.setText("TYPE");

        checkPrincipale.setText("PRINCIPALE");
        checkPrincipale.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkPrincipaleActionPerformed(evt);
            }
        });

        jLabel21.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel21.setText("B. P.");

        tfBoitePostale.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfBoitePostale.setToolTipText("");

        jLabel11.setFont(new java.awt.Font("Helvetica", 1, 12));
        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel11.setText("Pays");

        btnGetPays.setActionName("afficherPays");
        btnGetPays.setBorderPainted(false);
        btnGetPays.setEnabledMethod("peutChoisirPays");
        btnGetPays.setIconName("loupe16.gif");

        tfPays.setEnabledMethod("nonEditable");
        tfPays.setSupportsBackgroundColor(true);
        tfPays.setValueName("toAdresse.toPays.libelleLong");

        tfUrl.setEnabledMethod("nonEditable");
        tfUrl.setSupportsBackgroundColor(true);
        tfUrl.setValueName("toAdresse.toPays.libelleLong");

        tfMail.setEnabledMethod("nonEditable");
        tfMail.setSupportsBackgroundColor(true);
        tfMail.setValueName("toAdresse.toPays.libelleLong");

        jLabel12.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel12.setText("Mail");

        jLabel13.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel13.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel13.setText("URL");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel11, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 60, Short.MAX_VALUE)
                    .add(jLabel12))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                        .add(tfPays, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnGetPays, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(tfMail, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 215, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 40, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfUrl, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 175, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(278, 278, 278))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(tfPays, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, Short.MAX_VALUE)
                        .add(jLabel11))
                    .add(btnGetPays, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 20, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfMail, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, Short.MAX_VALUE)
                    .add(jLabel13)
                    .add(tfUrl, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, Short.MAX_VALUE)
                    .add(jLabel12))
                .addContainerGap())
        );

        tfMessage.setForeground(new java.awt.Color(255, 51, 51));

        jLabel23.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel23.setText("Voie");

        jLabel24.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel24.setText("No");

        tfNumero.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfNumero.setToolTipText("");

        popupExtension.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel25.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel25.setText("Ext");

        popupVoies.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel15.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel15.setForeground(new java.awt.Color(102, 102, 102));
        jLabel15.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel15.setText("Adresse non normée : ");

        popupVilles.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel19.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel19.setText("Ville");

        jLabel26.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel26.setText("CEDEX");

        tfCedex.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfCedex.setToolTipText("");

        org.jdesktop.layout.GroupLayout viewPopupVilleLayout = new org.jdesktop.layout.GroupLayout(viewPopupVille);
        viewPopupVille.setLayout(viewPopupVilleLayout);
        viewPopupVilleLayout.setHorizontalGroup(
            viewPopupVilleLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewPopupVilleLayout.createSequentialGroup()
                .add(jLabel19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 44, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(popupVilles, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 199, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 67, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfCedex, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 53, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        viewPopupVilleLayout.setVerticalGroup(
            viewPopupVilleLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewPopupVilleLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(jLabel19)
                .add(popupVilles, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(jLabel26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(tfCedex, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        tfCodePostal.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfCodePostal.setToolTipText("");

        jLabel18.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel18.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel18.setText("Code Postal");

        org.jdesktop.layout.GroupLayout panelFranceLayout = new org.jdesktop.layout.GroupLayout(panelFrance);
        panelFrance.setLayout(panelFranceLayout);
        panelFranceLayout.setHorizontalGroup(
            panelFranceLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, panelFranceLayout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel18, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 79, Short.MAX_VALUE)
                .add(10, 10, 10)
                .add(tfCodePostal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 68, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewPopupVille, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(102, 102, 102))
        );
        panelFranceLayout.setVerticalGroup(
            panelFranceLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelFranceLayout.createSequentialGroup()
                .addContainerGap()
                .add(panelFranceLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(viewPopupVille, 0, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(panelFranceLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(tfCodePostal)
                        .add(jLabel18)))
                .addContainerGap())
        );

        jLabel22.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel22.setText("Ville");

        jLabel20.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel20.setText("CP Etranger");

        tfCodePostalEtranger.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfCodePostalEtranger.setToolTipText("");

        org.jdesktop.layout.GroupLayout panelEtrangerLayout = new org.jdesktop.layout.GroupLayout(panelEtranger);
        panelEtranger.setLayout(panelEtrangerLayout);
        panelEtrangerLayout.setHorizontalGroup(
            panelEtrangerLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelEtrangerLayout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 85, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfCodePostalEtranger, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 67, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jLabel22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 42, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfVille, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 198, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        panelEtrangerLayout.setVerticalGroup(
            panelEtrangerLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(panelEtrangerLayout.createSequentialGroup()
                .addContainerGap()
                .add(panelEtrangerLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel22)
                    .add(tfCodePostalEtranger)
                    .add(jLabel20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfVille, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        lblAdresseNonNormee.setFont(new java.awt.Font("Tahoma", 0, 12));
        lblAdresseNonNormee.setForeground(new java.awt.Color(102, 102, 102));

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jLabel15)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(lblAdresseNonNormee, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 570, Short.MAX_VALUE))
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 508, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(101, 101, 101)
                        .add(tfMessage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 317, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jLabel14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 93, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkPerso)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkPro)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkFact)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkEtudiant)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkParent))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 526, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 143, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 412, Short.MAX_VALUE)
                        .add(checkValide)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkPrincipale))
                    .add(panelFrance, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(panelEtranger, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                        .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel2Layout.createSequentialGroup()
                            .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(jPanel2Layout.createSequentialGroup()
                                    .add(172, 172, 172)
                                    .add(jLabel25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 45, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(popupExtension, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(jLabel23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 72, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(jPanel2Layout.createSequentialGroup()
                                    .add(jLabel24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 91, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(10, 10, 10)
                                    .add(tfNumero, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 67, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(18, 18, 18)
                            .add(popupVoies, 0, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel2Layout.createSequentialGroup()
                            .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                .add(jLabel17, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 90, Short.MAX_VALUE)
                                .add(jLabel16))
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                            .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                .add(jPanel2Layout.createSequentialGroup()
                                    .add(tfComplement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 333, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(jLabel21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 53, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(tfBoitePostale, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 54, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(tfNomVoie)))))
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel6)
                    .add(checkPrincipale)
                    .add(checkValide))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(7, 7, 7)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(tfNumero)
                        .add(popupExtension, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel23)
                        .add(jLabel25)
                        .add(popupVoies, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jLabel24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfNomVoie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel17))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfComplement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel16)
                    .add(jLabel21)
                    .add(tfBoitePostale, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(16, 16, 16)
                .add(panelFrance, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(panelEtranger, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(12, 12, 12)
                .add(tfMessage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel14)
                    .add(checkPerso)
                    .add(checkPro)
                    .add(checkFact)
                    .add(checkEtudiant)
                    .add(checkParent))
                .add(34, 34, 34)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel15)
                    .add(lblAdresseNonNormee, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        popupValidite.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        buttonGroup1.add(checkFiltrePerso);
        checkFiltrePerso.setText("Personnelles");
        checkFiltrePerso.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkFiltrePersoActionPerformed(evt);
            }
        });

        buttonGroup1.add(checkFiltrePro);
        checkFiltrePro.setText("Professionnelles");
        checkFiltrePro.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkFiltreProActionPerformed(evt);
            }
        });

        buttonGroup1.add(checkFiltreFact);
        checkFiltreFact.setText("Facturation");
        checkFiltreFact.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkFiltreFactActionPerformed(evt);
            }
        });

        buttonGroup1.add(checkFiltreAutres);
        checkFiltreAutres.setText("Etu / Parent");
        checkFiltreAutres.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkFiltreAutresActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout viewAdresseLayout = new org.jdesktop.layout.GroupLayout(viewAdresse);
        viewAdresse.setLayout(viewAdresseLayout);
        viewAdresseLayout.setHorizontalGroup(
            viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewAdresseLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewAdresseLayout.createSequentialGroup()
                        .add(checkFiltrePerso)
                        .add(2, 2, 2)
                        .add(checkFiltrePro)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkFiltreFact)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkFiltreAutres)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(popupValidite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 118, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                        .add(viewAdresseLayout.createSequentialGroup()
                            .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                .add(viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(org.jdesktop.layout.GroupLayout.LEADING, viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(viewAdresseLayout.createSequentialGroup()
                                .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 54, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 53, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        viewAdresseLayout.setVerticalGroup(
            viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewAdresseLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(popupValidite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(checkFiltrePerso)
                    .add(checkFiltrePro)
                    .add(checkFiltreFact)
                    .add(checkFiltreAutres))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewAdresseLayout.createSequentialGroup()
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTable, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 113, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewAdresseLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(16, 16, 16))
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(viewAdresse, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(viewAdresse, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(14, Short.MAX_VALUE))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-768)/2, (screenSize.height-691)/2, 768, 691);
    }// </editor-fold>//GEN-END:initComponents

    private void checkPersoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkPersoActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkPersoActionPerformed

    private void checkProActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkProActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkProActionPerformed

    private void checkFactActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkFactActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkFactActionPerformed

    private void checkEtudiantActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkEtudiantActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkEtudiantActionPerformed

    private void checkParentActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkParentActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkParentActionPerformed

    private void checkValideActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkValideActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkValideActionPerformed

    private void checkPrincipaleActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkPrincipaleActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkPrincipaleActionPerformed

    private void checkFiltrePersoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkFiltrePersoActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkFiltrePersoActionPerformed

    private void checkFiltreProActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkFiltreProActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkFiltreProActionPerformed

    private void checkFiltreFactActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkFiltreFactActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkFiltreFactActionPerformed

    private void checkFiltreAutresActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkFiltreAutresActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkFiltreAutresActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	AdressesNormeeView dialog = new AdressesNormeeView(new javax.swing.JFrame(), null, true, null);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAjouter;
    private javax.swing.JButton btnAnnuler;
    public org.cocktail.component.COButton btnGetPays;
    private javax.swing.JButton btnModifier;
    private javax.swing.JButton btnSupprimer;
    private javax.swing.JButton btnValider;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JCheckBox checkEtudiant;
    private javax.swing.JCheckBox checkFact;
    private javax.swing.JRadioButton checkFiltreAutres;
    private javax.swing.JRadioButton checkFiltreFact;
    private javax.swing.JRadioButton checkFiltrePerso;
    private javax.swing.JRadioButton checkFiltrePro;
    private javax.swing.JCheckBox checkParent;
    private javax.swing.JCheckBox checkPerso;
    private javax.swing.JCheckBox checkPrincipale;
    private javax.swing.JCheckBox checkPro;
    private javax.swing.JCheckBox checkValide;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JLabel lblAdresseNonNormee;
    private javax.swing.JPanel panelEtranger;
    private javax.swing.JPanel panelFrance;
    private javax.swing.JComboBox popupExtension;
    private javax.swing.JComboBox popupValidite;
    private javax.swing.JComboBox popupVilles;
    private javax.swing.JComboBox popupVoies;
    protected javax.swing.JTextField tfBoitePostale;
    protected javax.swing.JTextField tfCedex;
    protected javax.swing.JTextField tfCodePostal;
    protected javax.swing.JTextField tfCodePostalEtranger;
    protected javax.swing.JTextField tfComplement;
    public org.cocktail.component.COTextField tfMail;
    private javax.swing.JLabel tfMessage;
    protected javax.swing.JTextField tfNomVoie;
    protected javax.swing.JTextField tfNumero;
    public org.cocktail.component.COTextField tfPays;
    public org.cocktail.component.COTextField tfUrl;
    private javax.swing.JTextField tfVille;
    private javax.swing.JPanel viewAdresse;
    private javax.swing.JPanel viewPopupVille;
    private javax.swing.JPanel viewTable;
    // End of variables declaration//GEN-END:variables

    private void initGui() {

    	popupValidite.removeAllItems();
    	popupValidite.addItem("VALIDES");
    	popupValidite.addItem("INVALIDES");
    	
    	btnAjouter.setIcon(CocktailIcones.ICON_ADD);
    	btnModifier.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimer.setIcon(CocktailIcones.ICON_DELETE);

    	btnGetPays.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnValider.setIcon(CocktailIcones.ICON_VALID);
    	btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);

    	popupExtension.removeAllItems();
    	popupExtension.addItem("");
    	popupExtension.addItem("Bis");
    	popupExtension.addItem("Ter");
    	popupExtension.addItem("Quater");
    	popupExtension.addItem("Quinquies");
    	
    	Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EORepartPersonneAdresse.TO_ADRESSE_KEY+"."+EOAdresse.ADR_ADRESSE1_KEY, "Adresse", 190);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EORepartPersonneAdresse.TO_ADRESSE_KEY+"."+EOAdresse.ADR_ADRESSE2_KEY, "Complément", 190);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EORepartPersonneAdresse.TO_ADRESSE_KEY+"."+EOAdresse.CP_AFFICHAGE_KEY, "CP", 50);
    	col.setAlignment(SwingConstants.CENTER);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EORepartPersonneAdresse.TO_ADRESSE_KEY+"."+EOAdresse.VILLE_KEY, "Ville", 100);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EORepartPersonneAdresse.RPA_VALIDE_KEY, "Val", 40);
    	col.setAlignment(SwingConstants.CENTER);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EORepartPersonneAdresse.RPA_PRINCIPAL_KEY, "Princ", 40);
    	col.setAlignment(SwingConstants.CENTER);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
//    	col = new ZEOTableModelColumn(eod, EORepartPersonneAdresse.ADR_ORDRE_KEY, "Clé", 30);
//    	col.setAlignment(SwingConstants.RIGHT);
//		col.setTableCellRenderer(myRenderer);
//    	myCols.add(col);

    	myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);
		
		eod.setSortOrderings(EORepartPersonneAdresse.SORT_RPA_VALIDE_DESC);

    }

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public ZEOTableModel getMyTableModel() {
		return myTableModel;
	}

	public void setMyTableModel(ZEOTableModel myTableModel) {
		this.myTableModel = myTableModel;
	}

	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}

	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnModifier() {
		return btnModifier;
	}

	public javax.swing.JPanel getViewPopupVille() {
		return viewPopupVille;
	}

	public void setViewPopupVille(javax.swing.JPanel viewPopupVille) {
		this.viewPopupVille = viewPopupVille;
	}

	public void setBtnModifier(javax.swing.JButton btnModifier) {
		this.btnModifier = btnModifier;
	}

	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}

	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JComboBox getPopupVilles() {
		return popupVilles;
	}

	public void setPopupVilles(javax.swing.JComboBox popupVilles) {
		this.popupVilles = popupVilles;
	}

	public javax.swing.JTextField getTfAdresse() {
		return tfNomVoie;
	}

	public void setTfAdresse(javax.swing.JTextField tfAdresse) {
		this.tfNomVoie = tfAdresse;
	}

	public javax.swing.JTextField getTfBoitePostale() {
		return tfBoitePostale;
	}

	public void setTfBoitePostale(javax.swing.JTextField tfBoitePostale) {
		this.tfBoitePostale = tfBoitePostale;
	}

	public javax.swing.JTextField getTfCodePostal() {
		return tfCodePostal;
	}

	public void setTfCodePostal(javax.swing.JTextField tfCodePostal) {
		this.tfCodePostal = tfCodePostal;
	}

	public javax.swing.JTextField getTfCodePostalEtranger() {
		return tfCodePostalEtranger;
	}

	public void setTfCodePostalEtranger(javax.swing.JTextField tfCodePostalEtranger) {
		this.tfCodePostalEtranger = tfCodePostalEtranger;
	}

	public javax.swing.JTextField getTfComplement() {
		return tfComplement;
	}

	public void setTfComplement(javax.swing.JTextField tfComplement) {
		this.tfComplement = tfComplement;
	}

	public javax.swing.JPanel getViewAdresse() {
		return viewAdresse;
	}

	public javax.swing.JCheckBox getCheckEtudiant() {
		return checkEtudiant;
	}

	public void setCheckEtudiant(javax.swing.JCheckBox checkEtudiant) {
		this.checkEtudiant = checkEtudiant;
	}

	public javax.swing.JCheckBox getCheckFact() {
		return checkFact;
	}

	public void setCheckFact(javax.swing.JCheckBox checkFact) {
		this.checkFact = checkFact;
	}

	public javax.swing.JLabel getTfMessage() {
		return tfMessage;
	}

	public void setTfMessage(javax.swing.JLabel tfMessage) {
		this.tfMessage = tfMessage;
	}

	public javax.swing.JCheckBox getCheckParent() {
		return checkParent;
	}

	public void setCheckParent(javax.swing.JCheckBox checkParent) {
		this.checkParent = checkParent;
	}

	public javax.swing.JCheckBox getCheckPerso() {
		return checkPerso;
	}

	public void setCheckPerso(javax.swing.JCheckBox checkPerso) {
		this.checkPerso = checkPerso;
	}

	public javax.swing.JCheckBox getCheckPrincipale() {
		return checkPrincipale;
	}

	public void setCheckPrincipale(javax.swing.JCheckBox checkPrincipale) {
		this.checkPrincipale = checkPrincipale;
	}

	public javax.swing.JCheckBox getCheckPro() {
		return checkPro;
	}

	public void setCheckPro(javax.swing.JCheckBox checkPro) {
		this.checkPro = checkPro;
	}

	public javax.swing.JCheckBox getCheckValide() {
		return checkValide;
	}

	public javax.swing.JTextField getTfVille() {
		return tfVille;
	}

	public void setTfVille(javax.swing.JTextField tfVille) {
		this.tfVille = tfVille;
	}

	public void setCheckValide(javax.swing.JCheckBox checkValide) {
		this.checkValide = checkValide;
	}

	public void setViewAdresse(javax.swing.JPanel viewAdresse) {
		this.viewAdresse = viewAdresse;
	}

	public org.cocktail.component.COButton getBtnGetPays() {
		return btnGetPays;
	}

	public void setBtnGetPays(org.cocktail.component.COButton btnGetPays) {
		this.btnGetPays = btnGetPays;
	}

	public org.cocktail.component.COTextField getTfMail() {
		return tfMail;
	}

	public void setTfMail(org.cocktail.component.COTextField tfMail) {
		this.tfMail = tfMail;
	}

	public org.cocktail.component.COTextField getTfPays() {
		return tfPays;
	}

	public javax.swing.JComboBox getPopupValidite() {
		return popupValidite;
	}

	public void setPopupValidite(javax.swing.JComboBox popupValidite) {
		this.popupValidite = popupValidite;
	}

	public void setTfPays(org.cocktail.component.COTextField tfPays) {
		this.tfPays = tfPays;
	}

	public org.cocktail.component.COTextField getTfUrl() {
		return tfUrl;
	}

	public void setTfUrl(org.cocktail.component.COTextField tfUrl) {
		this.tfUrl = tfUrl;
	}

	public javax.swing.JRadioButton getCheckFiltreAutres() {
		return checkFiltreAutres;
	}

	public void setCheckFiltreAutres(javax.swing.JRadioButton checkFiltreAutres) {
		this.checkFiltreAutres = checkFiltreAutres;
	}

	public javax.swing.JRadioButton getCheckFiltreFact() {
		return checkFiltreFact;
	}

	public void setCheckFiltreFact(javax.swing.JRadioButton checkFiltreFact) {
		this.checkFiltreFact = checkFiltreFact;
	}

	public javax.swing.JRadioButton getCheckFiltrePerso() {
		return checkFiltrePerso;
	}

	public void setCheckFiltrePerso(javax.swing.JRadioButton checkFiltrePerso) {
		this.checkFiltrePerso = checkFiltrePerso;
	}

	public javax.swing.JRadioButton getCheckFiltrePro() {
		return checkFiltrePro;
	}

	public void setCheckFiltrePro(javax.swing.JRadioButton checkFiltrePro) {
		this.checkFiltrePro = checkFiltrePro;
	}

	public javax.swing.JComboBox getPopupExtension() {
		return popupExtension;
	}

	public void setPopupExtension(javax.swing.JComboBox popupExtension) {
		this.popupExtension = popupExtension;
	}

	public javax.swing.JComboBox getPopupVoies() {
		return popupVoies;
	}

	public void setPopupVoies(javax.swing.JComboBox popupVoies) {
		this.popupVoies = popupVoies;
	}

	public javax.swing.JTextField getTfCedex() {
		return tfCedex;
	}

	public void setTfCedex(javax.swing.JTextField tfCedex) {
		this.tfCedex = tfCedex;
	}

	public javax.swing.JTextField getTfNomVoie() {
		return tfNomVoie;
	}

	public void setTfNomVoie(javax.swing.JTextField tfNomVoie) {
		this.tfNomVoie = tfNomVoie;
	}

	public javax.swing.JTextField getTfNumero() {
		return tfNumero;
	}

	public void setTfNumero(javax.swing.JTextField tfNumero) {
		this.tfNumero = tfNumero;
	}

	public javax.swing.JPanel getPanelEtranger() {
		return panelEtranger;
	}

	public void setPanelEtranger(javax.swing.JPanel panelEtranger) {
		this.panelEtranger = panelEtranger;
	}

	public javax.swing.JPanel getPanelFrance() {
		return panelFrance;
	}

	public void setPanelFrance(javax.swing.JPanel panelFrance) {
		this.panelFrance = panelFrance;
	}

	public javax.swing.JLabel getLblAdresseNonNormee() {
		return lblAdresseNonNormee;
	}

	public void setLblAdresseNonNormee(javax.swing.JLabel lblAdresseNonNormee) {
		this.lblAdresseNonNormee = lblAdresseNonNormee;
	}


}
